加载中…
正文 字体大小:

如何让AutoCAD 2012的阵列出现对话框。

(2011-08-15 22:28:22)
标签:

autocad

autodesk

2012

2011

阵列

对话框

分类: AutoCAD
大家可能都已经注意到了,在AutoCAD 2012 中提供了全新的阵列命令,例如关联阵列,沿路径阵列等。不可否认的是AutoCAD的阵列功能现在是超级的强大,并且AutoCAD 在您选择了一个阵列后,会出现一个contextual Array ribbon tab, 您可以在这个页面上对阵列进行更改,如下图:

如何让AutoCAD <wbr>2012的阵列出现对话框。

在论坛中也有很多抱怨,为什么在创建的时候不出现这样的对话框,以供更方便的创建阵列。 其实这里有一个小技巧可以让大家在创建阵列的时候也出现contextual Array ribbon tab。 

1、启动AutoCAD,然后再命令行中输入CUI。 
2、在CUI编辑器中搜索阵列
如何让AutoCAD <wbr>2012的阵列出现对话框。

3、然后选择一个阵列,例如环形阵列, 然后在右边的特性中编辑宏。 

如何让AutoCAD <wbr>2012的阵列出现对话框。

4、确定后退出,然后启动环形阵列, 这样就会出现这个TAB了。

下面是几个命令的宏,对一个命令复制一个即可。需要注意的一点就是,这个只会影响在工具栏或者是Ribbon中点击阵列命令的结果,而不会影响在命令行中输入阵列命令的结果。

Rectangular Array (ARRAYRECT) 
^C^C(command "arrayrect" PAUSE "" "1" "1" "X")(command "select" "single" "last")(sssetfirst nil (ssget "_p"))(princ)

Polar Array (ARRAYPOLAR) 
^C^C(command "arraypolar" PAUSE "" PAUSE "" "" "X")(command "select" "single" "last")(sssetfirst nil (ssget "_p"))(princ)

Path Array (ARRAYPATH) 
^C^C(command "arraypath" PAUSE "" PAUSE "1" "D" "X")(command "select" "single" "last")(sssetfirst nil (ssget "_p"))(princ)


翻译自:

http://withoutanet.typepad.com/without_a_net/2011/08/contextual-array-ribbon-tab-tip.html



0

阅读 评论 收藏 转载 喜欢 打印举报
已投稿到:
  • 评论加载中,请稍候...
发评论

       

    验证码: 请点击后输入验证码 收听验证码

    发评论

    以上网友发言只代表其个人观点,不代表新浪网的观点或立场。

      

    新浪BLOG意见反馈留言板 不良信息反馈 电话:4006900000 提示音后按1键(按当地市话标准计费) 欢迎批评指正

    新浪简介 | About Sina | 广告服务 | 联系我们 | 招聘信息 | 网站律师 | SINA English | 会员注册 | 产品答疑

    新浪公司 版权所有